%global __requires_exclude perl\\(MIME-Lite-HTML\\)

%define upstream_name    MIME-Lite-HTML
%define upstream_version 1.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    Provide routine to transform HTML to MIME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Date::Format)
BuildRequires: perl(HTML::LinkExtor)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Lite) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::URL)
BuildArch:  noarch

%description
This module is a Perl mail client interface for sending message that
support HTML format and build them for you.. This module provide routine to
transform a HTML page in MIME::Lite mail. So you need this module to use
MIME-Lite-HTML possibilities

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
# don't run test suite, it seems broken
#{make} test

%install
%makeinstall_std

%files
%doc COPYING Changes META.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/MIME


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-8.mga6
+ Revision: 1029894
- Rebuild for perl 5.22.2

* Mon Apr 18 2016 daviddavid <daviddavid> 1.240.0-7.mga6
+ Revision: 1003367
- remove wrong auto-requires on perl(MIME-Lite-HTML)

* Mon Feb 08 2016 umeabot <umeabot> 1.240.0-6.mga6
+ Revision: 945345
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-5.mga5
+ Revision: 747966
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 685296
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.240.0-3.mga4
+ Revision: 522809
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 guillomovitch <guillomovitch> 1.240.0-2.mga3
+ Revision: 405813
- don't run broken test suite

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 154513
- adding missing buildrequires:
- update to 1.24

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 33929
- mageia rebuild
- imported package perl-MIME-Lite-HTML


* Fri Sep 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.230.0-1mdv2010.0
+ Revision: 430505
- import perl-MIME-Lite-HTML


* Thu Sep 03 2009 cpan2dist 1.23-1mdv
- initial mdv release, generated with cpan2dist
